/*
██╗  ██╗ █████╗ ██╗   ██╗███████╗███╗   ██╗    ███╗   ███╗ ██████╗ ██████╗ ██████╗  █████╗  ██████╗██╗  ██╗███████╗
██║  ██║██╔══██╗██║   ██║██╔════╝████╗  ██║    ████╗ ████║██╔═══██╗██╔══██╗██╔══██╗██╔══██╗██╔════╝██║ ██╔╝██╔════╝
███████║███████║██║   ██║█████╗  ██╔██╗ ██║    ██╔████╔██║██║   ██║██║  ██║██████╔╝███████║██║     █████╔╝ ███████╗
██╔══██║██╔══██║╚██╗ ██╔╝██╔══╝  ██║╚██╗██║    ██║╚██╔╝██║██║   ██║██║  ██║██╔═══╝ ██╔══██║██║     ██╔═██╗ ╚════██║
██║  ██║██║  ██║ ╚████╔╝ ███████╗██║ ╚████║    ██║ ╚═╝ ██║╚██████╔╝██████╔╝██║     ██║  ██║╚██████╗██║  ██╗███████║
╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚══════╝╚═╝  ╚═══╝    ╚═╝     ╚═╝ ╚═════╝ ╚═════╝ ╚═╝     ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝╚══════╝
*/
JEIEvents.hideItems(event => 
  {
    event.hide(/extrastorage:advanced_(importer|exporter)/)
    event.hide(/extrastorage:(block|disk|storagepart)_.+/)
    event.hide(/rebornstorage:(small|medium|large|larger)_(item|fluid)_disk.*/)
    event.hide('reliquary:rod_of_lyssa')
    event.hide('mekanism:upgrade_anchor')

    event.hide('exdeorum:string_mesh')
    event.hide('exdeorum:flint_mesh')
    event.hide('exdeorum:iron_mesh')
    event.hide('exdeorum:golden_mesh')
    event.hide('exdeorum:diamond_mesh')
    event.hide('exdeorum:netherite_mesh')
    event.hide('exdeorum:wooden_hammer')
    event.hide('exdeorum:stone_hammer')
    event.hide('exdeorum:golden_hammer')
    event.hide('exdeorum:iron_hammer')
    event.hide('exdeorum:diamond_hammer')
    event.hide('exdeorum:netherite_hammer')
    event.hide('exdeorum:compressed_wooden_hammer')
    event.hide('exdeorum:compressed_stone_hammer')
    event.hide('exdeorum:compressed_golden_hammer')
    event.hide('exdeorum:compressed_iron_hammer')
    event.hide('exdeorum:compressed_diamond_hammer')
    event.hide('exdeorum:compressed_netherite_hammer')
    event.hide('exdeorum:mechanical_hammer')
    event.hide('exdeorum:mechanical_sieve')
    event.hide('exdeorum:dust')
    event.hide('exdeorum:crushed_netherrack')
    event.hide('exdeorum:crushed_end_stone')
    event.hide('exdeorum:crushed_deepslate')
    event.hide('exdeorum:crushed_blackstone')
    event.hide('exdeorum:compressed_dirt')
    event.hide('exdeorum:compressed_cobblestone')
    event.hide('exdeorum:compressed_diorite')
    event.hide('exdeorum:compressed_granite')
    event.hide('exdeorum:compressed_andesite')
    event.hide('exdeorum:compressed_gravel')
    event.hide('exdeorum:compressed_sand')
    event.hide('exdeorum:compressed_dust')
    event.hide('exdeorum:compressed_red_sand')
    event.hide('exdeorum:compressed_deepslate')
    event.hide('exdeorum:compressed_cobbled_deepslate')
    event.hide('exdeorum:compressed_netherrack')
    event.hide('exdeorum:compressed_blackstone')
    event.hide('exdeorum:compressed_end_stone')
    event.hide('exdeorum:compressed_crushed_deepslate')
    event.hide('exdeorum:compressed_crushed_blackstone')
    event.hide('exdeorum:compressed_crushed_netherrack')
    event.hide('exdeorum:compressed_soul_sand')
    event.hide('exdeorum:compressed_crushed_end_stone')
    event.hide('exdeorum:compressed_moss_block')
    event.hide('exdeorum:oak_sieve')
    event.hide('exdeorum:spruce_sieve')
    event.hide('exdeorum:birch_sieve')
    event.hide('exdeorum:jungle_sieve')
    event.hide('exdeorum:acacia_sieve')
    event.hide('exdeorum:dark_oak_sieve')
    event.hide('exdeorum:mangrove_sieve')
    event.hide('exdeorum:cherry_sieve')
    event.hide('exdeorum:bamboo_sieve')
    event.hide('exdeorum:crimson_sieve')
    event.hide('exdeorum:warped_sieve')
    event.hide('exdeorum:oak_compressed_sieve')
    event.hide('exdeorum:spruce_compressed_sieve')
    event.hide('exdeorum:birch_compressed_sieve')
    event.hide('exdeorum:jungle_compressed_sieve')
    event.hide('exdeorum:acacia_compressed_sieve')
    event.hide('exdeorum:dark_oak_compressed_sieve')
    event.hide('exdeorum:mangrove_compressed_sieve')
    event.hide('exdeorum:cherry_compressed_sieve')
    event.hide('exdeorum:bamboo_compressed_sieve')
    event.hide('exdeorum:crimson_compressed_sieve')
    event.hide('exdeorum:warped_compressed_sieve')
    event.hide('exdeorum:stone_pebble')
    event.hide('exdeorum:diorite_pebble')
    event.hide('exdeorum:granite_pebble')
    event.hide('exdeorum:andesite_pebble')
    event.hide('exdeorum:deepslate_pebble')
    event.hide('exdeorum:tuff_pebble')
    event.hide('exdeorum:calcite_pebble')
    event.hide('exdeorum:blackstone_pebble')
    event.hide('exdeorum:basalt_pebble')
    event.hide('exdeorum:iron_ore_chunk')
    event.hide('exdeorum:copper_ore_chunk')
    event.hide('exdeorum:gold_ore_chunk')
    event.hide('exdeorum:aluminum_ore_chunk')
    event.hide('exdeorum:silver_ore_chunk')
    event.hide('exdeorum:lead_ore_chunk')
    event.hide('exdeorum:nickel_ore_chunk')
    event.hide('exdeorum:uranium_ore_chunk')
    event.hide('exdeorum:osmium_ore_chunk')
    event.hide('exdeorum:tin_ore_chunk')
    event.hide('exdeorum:zinc_ore_chunk')
    event.hide('create:copper_sheet')
    event.hide('create:iron_sheet')
    event.hide('create:golden_sheet')
    event.hide('create:crushed_raw_platinum')
    event.hide('ironjetpacks:platinum')
    event.hide('potionmaster:platinum_powder')
    event.hide('potionmaster:calcinatedplatinum_powder')

    if (global.chunk) {
      event.hide('mekanism:dimensional_stabilizer')
    }

    Color.DYE.forEach(color => {
      ['controller', 'creative_controller', 'grid', 'crafting_grid', 'fluid_grid', 'pattern_grid', 'network_receiver', 'network_transmitter', 'relay', 'detector', 'security_manager', 'wireless_transmitter', 'disk_manipulator', 'crafter', 'crafter_manager', 'crafting_monitor'].forEach(machine => {
        event.hide(`refinedstorage:${color}_${machine}`)
      })
    })
  })
